#ifndef GD32_FLASH_H
#define GD32_FLASH_H


#define FMC_PAGE_SIZE           ((uint16_t)0x1000U)
#define FMC_WRITE_START_ADDR    ((uint32_t)0x08038800U)
#define FMC_WRITE_END_ADDR      ((uint32_t)0x0803FFFFU)
void gd32_flash_test();
int read_data_from_flash(void *buffer);
#endif
